<?php
/**
 * The archive template file
 * Used to display blog archived pages like categories, tags, author posts, etc.
 * @package Alurra
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header(); ?>

	<header class="page-header">
	  <?php
		if( is_author() ) {
		  printf( '<div class="author-avatar">%s</div>', get_avatar( get_queried_object_id(), 120 ) ); 
		}
		
		the_archive_title( '<h1 class="page-title">', '</h1>' );
		the_archive_description( '<div class="taxonomy-description">', '</div>' );
		
		// action hook for any content after the archive title and description
		do_action ( 'alurra_after_archive_description' );		
	  ?>
	</header>

<?php alurra_blog_layouts(); ?>
		
<?php
get_footer();