<?php
/**
 * Header Image option to show on all pages or just the front page.
 * @package Alurra
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

function alurra_customize_register_header( $wp_customize ) {
    

	// Heading - location to show the header image
	$wp_customize->add_control( new Alurra_Note_Control(
		$wp_customize, 'alurra_header_image_location_note', array(
			'label' => esc_html__( 'All Pages or Front Page', 'alurra' ),
			'description' => esc_html__( 'When you use the WP Custom Header Image feature, you can choose to show it on the front page or all pages of your website.', 'alurra' ),
			'section' => 'header_image',
			'settings' => array(),
			)
	) );
	
	
  // Show on the front page or all pages
  $wp_customize->add_setting( 'alurra_header_image_fp',  array(
      'default' => false,
      'sanitize_callback' => 'alurra_sanitize_checkbox',
    )
  );
  
  $wp_customize->add_control( new Alurra_Toggle_Control( $wp_customize, 'alurra_header_image_fp', array(
		'section'     => 'header_image',
		'label'	      => esc_html__( 'Display only on the front page.', 'alurra' ),
		'description'	      => esc_html__( 'Enable for the front page only.', 'alurra' ),
		'priority'  => 28,
		) 
	)
  );

	
}
add_action( 'customize_register', 'alurra_customize_register_header' );
