<?php
/**
 * Label Options
 * Register the label options section, settings and controls for Theme Customizer
 * @package Alurra
 * @since 1.0.0
 */
 
 if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

// Label Options
if ( ! function_exists( 'alurra_customize_register_label_options' ) ) :
	function alurra_customize_register_label_options( $wp_customize ) {

		// Add Sections for label options.
		$wp_customize->add_section( 'alurra_label_options', array(
			'title'    => esc_html__( 'Label Options', 'alurra' ),
			'priority' => 27,
		) );

		/** Prefix Archive Page */
		$wp_customize->add_setting( 'alurra_hide_prefix_archive', array(
				'default'           => false,
				'transport' => 'postMessage',
				'sanitize_callback' => 'alurra_sanitize_checkbox'
			) 
		);
		
		$wp_customize->add_control( new Alurra_Toggle_Control( $wp_customize, 'alurra_hide_prefix_archive', array(
					'section'     => 'alurra_label_options',
					'priority' => 1,
					'label'	      => esc_html__( 'Hide Prefix in Archive Pages', 'alurra' ),
					'description' => esc_html__( 'Enable to hide the archive prefix labels from archive titles.', 'alurra' ),
				)
			)
		);

	}		
endif;

add_action( 'customize_register', 'alurra_customize_register_label_options', 12 );		