<?php
/**
 * Blog Post Settings
 * @package Alurra
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if( ! function_exists( 'alurra_customize_register_post' ) ) :
function alurra_customize_register_post( $wp_customize ) {
    
	// Heading - Post show hide
	$wp_customize->add_control( new Alurra_Note_Control(
		$wp_customize, 'alurra_post_showhide_note', array(
			'label' => esc_html__( 'Show or Hide Settings', 'alurra' ),
			'section' => 'alurra_post_options',
			'priority' => 1,
			'settings' => array(),
	) ) );	
	
    /** Post Options */
    $wp_customize->add_section( 'alurra_post_options', array(
            'title'    => esc_html__( 'Post Options', 'alurra' ),
            'priority' => 23,
        )
    );
	
    // Hide the post footer
    $wp_customize->add_setting( 'alurra_hide_post_footer', array(
		'default'           => 0,
		'transport'         => 'postMessage',
		'sanitize_callback' => 'alurra_sanitize_checkbox'
	) );
    
    $wp_customize->add_control( new Alurra_Toggle_Control( 
		$wp_customize, 'alurra_hide_post_footer', array(
		'section'     => 'alurra_post_options',
		'priority' => 8,
		'label'	      => esc_html__( 'Hide the Post Footer', 'alurra' ),
		'description' => esc_html__( 'Show or hide the post footer where the tags and categories are shown.', 'alurra' ),
	) ) );	
	
    // Hide Author Bio
    $wp_customize->add_setting( 'alurra_hide_author_bio', array(
		'default'           => 0,
		'transport'         => 'postMessage',
		'sanitize_callback' => 'alurra_sanitize_checkbox'
	) );
    
    $wp_customize->add_control( new Alurra_Toggle_Control( 
		$wp_customize, 'alurra_hide_author_bio', array(
		'section'     => 'alurra_post_options',
		'priority' => 9,
		'label'	      => esc_html__( 'Hide Author Bio', 'alurra' ),
		'description' => esc_html__( 'Show or hide the post author biography.', 'alurra' ),
	) ) );
	
}
endif;

add_action( 'customize_register', 'alurra_customize_register_post' );	